Arch Rebar Stirrup
Jump to navigation
Jump to search
Arch
User documentation
|
Menu location |
---|
Arch → Rebar tools → Stirrup 3D/BIM → Reinforcement tools → Stirrup |
Workbenches |
Arch, BIM |
Default shortcut |
None |
Introduced in version |
0.17 |
See also |
Reinforcement, Arch Rebar, Arch Rebar Helical |
Description
The Stirrup Rebar tool allows the user to create a set of stirrup reinforcing bars inside an Arch Structure object.
The Stirrup Rebar tool is also integrated into BIM Workbench.
This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.
One set of stirrup reinforcement bars inside an Arch Structure object
Usage
- Select any face of a previously created
Arch Structure object.
- Then select
Stirrup Rebar from the rebar tools.
- A task panel will pop-out on the left side of the screen as shown below.
- Select the desired orientation.
- Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
- Select the mode of distribution either 'Amount' or 'Spacing'.
- If 'Spacing' is selected, a user can also opt for custom spacing.
- Pick Selected Face is used to verify or change the face for rebar distribution.
- Click OK or Apply to generate the rebars.
- Click Cancel to exit the task panel.
Taskview panel for the Arch Rebar Stirrup tool
Properties
- DataFront Cover: The distance between rebar and selected face.
- DataRight Cover: The distance between the right end of the rebar to right face of the structure.
- DataLeft Cover: The distance between the left end of the rebar to the left face of the structure.
- DataBottom Cover: The distance between rebar from the bottom face of the structure.
- DataTop Cover: The distance between rebar from the top face of the structure.
- DataBent Angle: Bent angle defines the angle at the ends of a stirrup.
- DataBent Factor: Bent Factor defines length of stirrup end.
- DataAmount: The amount of rebars.
- DataSpacing: The distance between the axes of each bar.
Scripting
See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.
The Stirrup Rebar tool can be used in macros and from the Python console by using the following function:
Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
- Creates a
Rebar
object from the givenstructure
, which is an Arch Structure, andfacename
, which is a face of that structure.- If no
structure
norfacename
are given, it will take the user selected face as input.
- If no
l_cover
,r_cover
,t_cover
,b_cover
, andf_cover
are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the left, right, top, bottom, and front offsets.diameter
is the diameter of the reinforcement bars inside the structure.rounding
is the parameter that determines the bending radius of the reinforcement bars as they make a loop.bentLength
andbentAngle
define the length and angle of the tip of the reinforcement loop.amount_spacing_check
if it isTrue
it will create as many reinforcement loops as given byamount_spacing_value
; if it isFalse
it will create reinforcement loops separated by the numerical value ofamount_spacing_value
.amount_spacing_value
specifies the number of reinforcement loops, or the value of the separation between them, depending onamount_spacing_check
.
Example
import Draft, Arch, Stirrup
# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
115, 4, 8, 2, True, 10, Structure, "Face6")
Edition of the rebar
You can change the properties of the rebar with the following function
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
Rebar
is a previously createdStirrupRebar
object.- The other parameters are the same as required by the
makeStirrup()
function. structure
andfacename
may be omitted so that the rebar stays in the original structure.
import Stirrup
Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
100, 4, 14, 8, True, 8)
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Image, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Raytracing, Reverse Engineering, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Deprecated or unmaintained workbenches: Complete, Drawing, Robot
- Hubs: User hub, Power users hub, Developer hub